For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsite
GuidesAPI Reference
GuidesAPI Reference
  • Calls
    • POSTMake a Call
    • GETGet Call History
    • GETExport Call History
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • POSTPause Campaign
    • POSTResume Campaign
    • POSTCancel Campaign
  • Agents
    • GETList Agents
    • POSTCreate Agent
    • GETGet Agent
    • DELDelete Agent
    • PATCHUpdate Agent
    • GETGet Agent Prompt
    • PUTSave Agent Instructions
  • Voices
    • GETList Voices
    • GETList Voice Languages
  • Prompt Versions
    • GETList Prompt Versions
    • POSTSave Prompt Version
    • GETPrompt Version Status
    • POSTRestore Prompt Version
    • DELDelete Prompt Version
  • Configuration
    • GETList Industries
LogoLogo
DashboardWebsite
Prompt Versions

List Prompt Versions

GET
https://api.levrage.ai/v1/agents/:agent_id/prompt/versions
GET
/v1/agents/:agent_id/prompt/versions
1import requests
2
3url = "https://api.levrage.ai/v1/agents/agent_id/prompt/versions"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())

List all prompt versions for an agent.

Returns versions sorted by version number (newest first).

Was this page helpful?
Previous

List Voice Languages

Next

Save Prompt Version

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agent_idstringRequired

Response

Successful Response

Errors

422
Unprocessable Entity Error